{% extends 'base.html.twig' %}

{% block body %}
{% include "home/navbar.html.twig" %}

<!-- Nav tabs -->
<ul class="nav nav-tabs col-lg-12">
    <li class="nav-item col-lg-4">
        <a class="nav-link active" data-bs-toggle="tab" href="#profile">My profile</a>
    </li>
    <li class="nav-item col-lg-4">
        <a class="nav-link" data-bs-toggle="tab" href="#announce">My announce</a>
    </li>
        {% if app.user %}
    <li class="mb-3 col-lg-4 d-flex justify-content-end">
        You are logged in as {{ app.user.name }}, <a href="{{ path('app_logout') }}">Logout</a>
    </li>
  {% endif %}
</ul>

<!-- Tab panes -->
<div class="tab-content">
    <div class="tab-pane container active col-lg-12" id="profile">
        <div class="col-lg-4 p-3">
            <div class="card"> Name:
                <div class="card-body">{{profile_user.name}}</div>
            </div>   
        </div>
        <div class="col-lg-4 p-3">
            <div class="card"> Last Name: 
                <div class="card-body">{{profile_user.lastName}}</div>
            </div>   
        </div>
        <div class="col-lg-4 p-3">
            <div class="card">Tel:
                <div class="card-body">{{profile_user.tel}}</div>
            </div>   
        </div>
        <div class="col-lg-4 p-3">
            <div class="card">Email:
                <div class="card-body">{{profile_user.email}}</div>
            </div>   
        </div>
        <a href="{{path('app_edit_profile', {id: profile_user.id}) }}" class="btn btn-danger col-lg-12 justify-content-center">Modify</a>
        <a href="{{path('app_delete_profile_user', {id: profile_user.id}) }}" class="btn btn-primary col-lg-12 justify-content-center">Delete</a>
    </div>
     
    <div class="tab-pane container fade col-lg-12" id="announce">
     <a href="{{path('app_add_announce') }}" class="btn btn-success col-lg-12 justify-content-center">Add a new announce</a>
        {% for announce_profile in profile_user.advertisement %}
        <div class="card">
            <div class="row col-lg-12 justify-content-center">
                <h5>Titre: {{announce_profile.titre}}</h5>
                <p>Text: {{announce_profile.text}}</p> 
                <p>Phone: {{announce_profile.tel}}</p>
                <a href="{{path('app_edit_announce', {id: announce_profile.id}) }}" class="btn btn-warning col-lg-10 justify-content-center text-white">Modify</a>
            </div>
        </div>
        {% endfor %}  
    </div>
</div>
{% endblock %}
